Package Gnumed :: Package pycommon :: Module gmCfg2 |
[frames] | no frames]

# Module gmCfg2

source code

GNUmed configuration handling.

Version: $Revision: 1.20 $

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

Classes
| gmCfgData

Functions
set_option_in_INI_file(filename=None, group=None, option=None, value=None, encoding=`'``utf8``'`) | source code
parse_INI_stream(stream=None) Parse an iterable for INI-style data. | source code

Variables
| __licence__ = ``'``GPL``'``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: logging, sys, codecs, regex, shutil, os, types, gmBorg

Function Details

### parse_INI_stream(stream=None) | source code
Parse an iterable for INI-style data. Returns a dict by sections containing a dict of values per section.